Unsubscribe sessions
curl --request POST \
--url https://api.gleap.io/v3/sessions/unsubscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>' \
--data '
{
"sessions": [
{
"userId": "<string>",
"email": "<string>"
}
],
"reason": "<string>"
}
'import requests
url = "https://api.gleap.io/v3/sessions/unsubscribe"
payload = {
"sessions": [
{
"userId": "<string>",
"email": "<string>"
}
],
"reason": "<string>"
}
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({sessions: [{userId: '<string>', email: '<string>'}], reason: '<string>'})
};
fetch('https://api.gleap.io/v3/sessions/unsubscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Session
Unsubscribe sessions
Unsubscribe sessions.
POST
/
sessions
/
unsubscribe
Unsubscribe sessions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
200 - application/json
Ok
⌘I